<?php

error_reporting(0);

$xruc = $_REQUEST['xruc'];
$origen = $_REQUEST['xorigen'];
	
$url = "http://servicioruc.palmandina.com/buscar.php";
$uri = "http://servicioruc.palmandina.com/";
$cliente = new SoapClient(null, array('location' => $url, 'uri' => $uri));

//$ruc = '20606259183';
$resultado = $cliente->ruc($xruc);

if($resultado == 0){
	echo "<div style='color:#FF0000;' >El RUC no ha sido identificado.</div>";
}else{
	//echo $resultado;	
	$cadena = explode('|',$resultado);
	$xnombres = trim($cadena[1]);
	$xrazonsocial = trim($cadena[1]);
	$xruc = trim($cadena[0]);
	$xnombre_contacto = "";
	$xapellido_contacto	= "";	
	$tubigeo = trim($cadena[4]);
	
	if(trim($tubigeo) == "-"){
		$xdireccion1 = "";
	}else{
		$xdireccion1 = $cadena[5]."".$cadena[6]." ".$cadena[9]." ".$cadena[7]." ".$cadena[8]." ".trim($cadena[18])." - ".trim($cadena[17])." - ".trim($cadena[16]);	
	}
	
	if($origen=='verificacion'){
	?>
		<script language="javascript" >
		enviar_formulario_pedidos();
		//alert("si debe guardar.");
		</script>
	<?php			
	}


	if($origen=='clientes'){		
	?>
		<script language="javascript" >
		document.getElementById('xnombres').value = '<?php echo $xnombres; ?>';
		document.getElementById('xrazonsocial').value = '<?php echo $xrazonsocial; ?>';	
		document.getElementById('xruc').value = '<?php echo $xruc; ?>';
		document.getElementById('xper_ruc_dni_tipo').value = '6';	
		//document.getElementById('xtelefono1').value = '<?php //echo $arr_cliente['result']['Telefono']; ?>';	
		document.getElementById('xdireccion1').value = '<?php echo $xdireccion1; ?>';		
		
		document.getElementById('xnombre_contacto').value = '<?php echo $xnombre_contacto; ?>';
		document.getElementById('xapellido_contacto').value = '<?php echo $xapellido_contacto; ?>';
		</script>
	<?php			
	}


	if($origen=='pedidos'){		
	?>
		<script language="javascript" >
		//alert("POR AQUI");
		
		document.getElementById('xnombres').value = '<?php echo $xnombres; ?>';
		document.getElementById('xrazonsocial').value = '<?php echo $xrazonsocial; ?>';	
		document.getElementById('xruc').value = '<?php echo $xruc; ?>';
		document.getElementById('xper_ruc_dni_tipo').value = '6';	
		//document.getElementById('xtelefono1').value = '<?php //echo $arr_cliente['result']['Telefono']; ?>';	
		document.getElementById('xdireccion1').value = '<?php echo $xdireccion1; ?>';		
		
		</script>
	<?php			
	}

	if($origen=='caja'){		
	?>
		<script language="javascript" >
		//alert("POR AQUI");
		
		document.getElementById('xnombres').value = '<?php echo $xnombres; ?>';
		document.getElementById('xrazonsocial').value = '<?php echo $xrazonsocial; ?>';	
		document.getElementById('xruc').value = '<?php echo $xruc; ?>';
		document.getElementById('xper_ruc_dni_tipo').value = '6';	
		//document.getElementById('xtelefono1').value = '<?php //echo $arr_cliente['result']['Telefono']; ?>';	
		document.getElementById('xdireccion1').value = '<?php echo $xdireccion1; ?>';		
		
		</script>
	<?php			
	}		
	 
}	
	
?>

	
	
